//  Persistance of Vision Raytracer V2.0
//  World definition file.
//
//  Contains 1 lights, 9 textures and 45 primitives.
//
//  This file was generated for POV-Ray V2.0 by
//  MORAY.EXE (c) '91 '92 '93 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 11/04/1993    (04.11.1993)
//

//
//  This is MORAY's default standard include file for POV.
//  called MRYDEFLT.INC
//
//
//
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"


#declare BezFlatness = 0.01
#declare BezUStep    = 3
#declare BezVStep    = 3

camera {  //  Camera Camera01
  location  <-0.000, -32.599, 7.602>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

// *******  L I G H T S *******
object {   // Light source Light001
  light_source {
    <-15.235, -22.051, 23.241>
    color  red 1.000 green 1.000 blue 1.000
    area_light <10, 0, 0>, <0, 10, 0>, 5, 5
    adaptive 0
    jitter
  }
}


//
// ********  T E X T U R E S  *******
//

#include "SUNDAE.INC"

// ********  O B J E C T S *******

#include "scooper.inc"

#declare icecream1 = object {
  sphere {<0,0,0>,1}
  texture {
    icecreamtex
  }
  scale <2.186324, 3.117945, 2.000000>
  translate <0.037668, 0.000000, 1.469068>
}

#declare icecream2 = object {
  sphere {<0,0,0>,1}
  texture {
    icecreamtex
  }
  scale <1.413453, 2.435656, 0.952690>
  rotate <339.400208, 51.975586, -0.000000>
  translate <1.921088, 0.000000, 1.582073>
}

#declare icecream3 = object {
  sphere {<0,0,0>,1}
  texture {
    icecreamtex
  }
  scale <1.413453, 2.435656, 0.952690>
  rotate <366.579956, 128.314941, 2.735253>
  translate <-2.221761, 0.124216, 1.732746>
}

#declare icecream4 = object {
  sphere {<0,0,0>,1}
  texture {
    icecreamtex
  }
  scale <1.816815, 2.186324, 0.681606>
  rotate <-0.000000, -0.000000, -28.157890>
  translate <-0.075337, 0.000000, 2.825130>
}

#declare chocolate1 = object {
  sphere {<0,0,0>,1}
  texture {
    chocolate
  }
  scale <1.000000, 1.342775, 1.000000>
  rotate <23.783649, 15.718594, -17.426386>
  translate <-1.444157, -1.127586, 2.157435>
}

#declare chocolate2 = object {
  sphere {<0,0,0>,1}
  texture {
    chocolate
  }
  scale <0.636827, 1.710795, 1.702667>
  rotate <10.325837, 91.742355, -77.645493>
  translate <-0.045774, -0.508780, 3.038226>
}

#declare chocolate3 = object {
  sphere {<0,0,0>,1}
  texture {
    chocolate
  }
  scale <1.000000, 1.300000, 0.500000>
  rotate <42.174667, -339.736938, 20.999556>
  translate <1.482640, -1.394630, 2.321698>
}

#declare chocolate4 = object {
  sphere {<0,0,0>,1}
  texture {
    chocolate
  }
  scale <0.600000, 1.530124, 1.046676>
  rotate <-250.409332, -58.714844, -157.750854>
  translate <-0.730672, -1.118599, 2.878784>
}

#declare chocolate5 = object {
  sphere {<0,0,0>,1}
  texture {
    chocolate
  }
  scale <0.600000, 1.530124, 0.860000>
  rotate <-50.274742, 121.166000, -25.241123>
  translate <0.832482, -1.176357, 2.930281>
}

union {   // sundaeGrp
  object { icecream1 }
  object { icecream2 }
  object { icecream3 }
  object { icecream4 }
  object { chocolate1 }
  object { chocolate2 }
  object { chocolate3 }
  object { chocolate4 }
  object { chocolate5 }
}
box {   // countertop
  <-1, -1, -1>, <1, 1, 1>
  texture {
    dummy
  }
  scale <100.000000, 100.000000, 1.000000>
  translate <0.000000, 0.361334, -5.000000>
}

#declare bucket = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    haagen_dazs
    scale <2.252732, 0.241809, 1.753616>
    rotate <90.000000, -0.000000, -0.000000>
    translate <-1.148299, -0.208420, 0.735000>
  }
  scale <2.324743, 2.325000, 21.416632>
  translate <-7.115019, 8.074992, -19.715289>
}

#declare bucketclip = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    lidwhite
  }
  scale <2.232855, 2.233000, 3.748116>
  translate <-7.127929, 7.734993, -7.743075>
}

#declare icecreamtub = difference {
  object { bucket }
  object { bucketclip }
  texture {
    haagen_dazs
    scale <2.252732, 0.241809, 1.753616>
    rotate <90.000000, -0.000000, -0.000000>
    translate <-1.148299, -0.208420, 0.735000>
  }
}

#declare lidcylinder = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <2.500000, 2.500000, 1.000000>
  translate <-7.130048, 8.084199, 0.700390>
}

#declare lidcylinder1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <2.300000, 2.300000, 1.000000>
  translate <-7.130048, 8.084199, 0.684995>
}

#declare lidcylinder2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <1.800000, 1.800000, 1.010000>
  translate <-7.130048, 8.084199, 0.684995>
}

#declare raisedcylinder = difference {
  object { lidcylinder1 }
  object { lidcylinder2 }
  translate <0.000000, 0.000000, 0.068718>
}

#declare whitelid = union {
  object { lidcylinder }
  object { raisedcylinder }
  texture {
    lidwhite
  }
}

#declare lidcylinder3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    haagen_dazs2
    scale <2.000000, 2.000000, 1.000000>
    translate <-1.000000, -1.000000, 0.000000>
  }
  scale <1.800000, 1.800000, 1.000000>
  translate <-7.127617, 8.084199, 0.703016>
}

union {   // icecreamtubGrp
  object { icecreamtub }
  object { whitelid }
  object { lidcylinder3 }
  translate <-0.289553, -1.089808, 0.000000>
}
#declare cancylinder = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Chrome_Texture
  }
  scale <1.500000, 1.500000, 4.500000>
  translate <7.708582, 9.337926, -4.016292>
}

#declare cantorus1 = quartic {
           // Torus MinRadius=   0.250   MajRadius=   1.750
           < 1.000,  0.000,  0.000,  0.000,  2.000,
             0.000,  0.000,  2.000,  0.000,  -6.250,
             0.000,  0.000,  0.000,  0.000,  0.000,
             0.000,  0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  0.000,  2.000,  0.000,
             -6.250,   0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  6.000, 0.000,  9.000 >
  texture {
    Chrome_Texture
  }
  scale <0.600000, 0.600000, 0.600000>
  translate <7.702508, 9.333921, 0.392724>
}

#declare cantorus2 = quartic {
           // Torus MinRadius=   0.250   MajRadius=   1.750
           < 1.000,  0.000,  0.000,  0.000,  2.000,
             0.000,  0.000,  2.000,  0.000,  -6.250,
             0.000,  0.000,  0.000,  0.000,  0.000,
             0.000,  0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  0.000,  2.000,  0.000,
             -6.250,   0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  6.000, 0.000,  9.000 >
  texture {
    Chrome_Texture
  }
  scale <0.450000, 0.450000, 0.450000>
  translate <7.702508, 9.333921, 0.434133>
}

#declare cancylinder1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Chrome_Texture
  }
  scale <1.600000, 1.600000, 0.225000>
  translate <7.708582, 9.337926, -4.016292>
}

#declare cancylinder2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Chrome_Texture
  }
  scale <1.600000, 1.600000, 0.225000>
  translate <7.708582, 9.337926, 0.450000>
}

#declare cancylinder3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Chrome_Texture
  }
  scale <1.520000, 1.520000, 0.226000>
  translate <7.708582, 9.337926, 0.450000>
}

#declare upperrim = difference {
  object { cancylinder2 }
  object { cancylinder3 }
}

#declare cancylinder4 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    hersheys
    scale <2.407161, 1.000110, 0.860328>
    rotate <90.000000, -0.000000, -0.000000>
    translate <-1.200905, 0.008434, 0.000000>
  }
  scale <1.501000, 1.501000, 4.050000>
  translate <7.708582, 9.337926, -3.702042>
}

#declare hersheyscan = union {
  object { cancylinder }
  object { cantorus1 }
  object { cantorus2 }
  object { cancylinder1 }
  object { upperrim }
  object { cancylinder4 }
  translate <-1.206436, -7.372667, 0.000000>
}

#declare hole1 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <0.400000, 0.800000, 0.800000>
  rotate <-90.000000, -0.000000, 143.008514>
  translate <6.153204, 1.540260, 0.419001>
}

#declare hole2 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <0.400000, 0.800000, 0.800000>
  rotate <-90.000000, -0.000000, -36.991486>
  translate <6.817831, 2.442254, 0.419001>
}

difference {
  object { hersheyscan }
  object { hole1 }
  object { hole2 }
  texture {
    Chrome_Texture
  }
}

